javax.servlet.jsp.jstl.tlv

## Class PermittedTaglibsTLV

- java.lang.Object
- - javax.servlet.jsp.tagext.TagLibraryValidator
  - - javax.servlet.jsp.jstl.tlv.PermittedTaglibsTLV

-     public class PermittedTaglibsTLV
      extends TagLibraryValidator

  A TagLibraryValidator class to allow a TLD to restrict what taglibs (in addition to itself) may be imported on a page where it's used.

  This TLV supports the following initialization parameter:

  - permittedTaglibs: A whitespace-separated list of URIs corresponding to tag libraries permitted to be imported on the page in addition to the tag library that references PermittedTaglibsTLV (which is allowed implicitly).
  Author:
    Shawn Bayern

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermittedTaglibsTLV()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `release()` Release any data kept by this instance for validation purposes.
    `ValidationMessage[]` | `validate(String prefix, String uri, PageData page)` Validate a JSP page.

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagLibraryValidator

      `getInitParameters, setInitParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermittedTaglibsTLV

          public PermittedTaglibsTLV()

  - ### Method Detail

    - #### release

          public void release()

      Description copied from class: `TagLibraryValidator`
      Release any data kept by this instance for validation purposes.
      Overrides:
        `release` in class `TagLibraryValidator`

    - #### validate

          public ValidationMessage[] validate(String prefix,
                                     String uri,
                                     PageData page)

      Description copied from class: `TagLibraryValidator`
      Validate a JSP page. This will get invoked once per unique tag library URI in the XML view. This method will return null if the page is valid; otherwise the method should return an array of ValidationMessage objects. An array of length zero is also interpreted as no errors.
      Overrides:
        `validate` in class `TagLibraryValidator`
      Parameters:
        `prefix` - the first prefix with which the tag library is associated, in the XML view. Note that some tags may use a different prefix if the namespace is redefined.
        `uri` - the tag library's unique identifier
        `page` - the JspData page object
      Returns:
        A null object, or zero length array if no errors, an array of ValidationMessages otherwise.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.